Arch Frame/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
(Created page with "==Программирование==")
 
(20 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{docnav/ru|[[Arch_Nest|Nest]]|[[Arch_Fence|Fence]]|[[Arch_Module|Arch]]|IconL=Arch_Nest.svg |IconC=Workbench_Arch.svg |IconR=Arch_Fence.svg}}
{{Docnav/ru
|[[Arch_Equipment/ru|Оборудование]]
|[[Arch_Fence/ru|Ограждение]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Equipment.svg
|IconR=Arch_Fence.svg
|IconC=Workbench_Arch.svg
}}


{{GuiCommand/ru
{{GuiCommand/ru
|Name=Arch Frame
|Name/ru=Каркас
|Name/ru=Arch Frame
|Name=Arch_Frame
|MenuLocation=Архитектура -> Каркас
|MenuLocation=Arch Каркас
|Workbenches=[[Arch Module/ru|Arch]]
|Workbenches=[[Arch_Workbench/ru|Arch]]
|Shortcut={{KEY|F}} {{KEY|R}}
|Shortcut={{KEY|F}} {{KEY|R}}
|SeeAlso=[[Arch Wall/ru]], [[Arch Structure/ru]]
|SeeAlso=[[Arch_Wall/ru|Стена]], [[Arch_Structure/ru|Структура]]
}}
}}


Line 14: Line 22:


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Инструмент «Рамка» используется для создания всех видов объектов фрейма на основе профиля и макета. Профиль экструдируется по краям макета, который может быть любым 2D-объектом, таким как [[Sketcher Module|sketch]] или [[Draft Module|draft object]]. Особенно полезно создавать перила или стены рамы. Объекты кадра затем могут быть легко превращены в объекты [[Arch Wall|wall]] или [[Arch Structure|structure]] .
Инструмент «Рамка» используется для создания всех видов объектов фрейма на основе профиля и макета. Профиль экструдируется по краям макета, который может быть любым 2D-объектом, таким как [[Sketcher_Workbench|sketch]] или [[Draft_Workbench|draft object]]. Особенно полезно создавать перила или стены рамы. Объекты кадра затем могут быть легко превращены в объекты [[Arch Wall|wall]] или [[Arch Structure|structure]] .
</div>
</div>


[[Image:Arch Frame example.jpg|640px]]
[[Image:Arch Frame example.jpg|640px]]
<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
''На приведенном выше рисунке [[Draft Line|line]] была преобразована в [[Массив массива]], а объект фрейма был создан с использованием массива как макета, а [[Draft Circle|circle]] как профиль.''
''На приведенном выше рисунке [[Draft Line|line]] была преобразована в [[Draft_OrthoArray|массива]], а объект фрейма был создан с использованием массива как макета, а [[Draft Circle|circle]] как профиль.''
</div>
</div>


==Применение==
==Usage==


# Create a layout object and a profile object, for example with the [[Draft Workbench]] or the [[Sketcher Workbench]].
# Create a layout object and a profile object, for example with the [[Draft_Workbench|Draft Workbench]] or the [[Sketcher_Workbench|Sketcher Workbench]].
# Select the layout object first, then, with {{KEY|Ctrl}} pressed, select the profile object.
# Select the layout object first, then, with {{KEY|Ctrl}} pressed, select the profile object.
# Press the {{Button|[[Image:Arch Frame.svg|16px]] [[Arch Frame]]}} button, or press {{KEY|F}} then {{KEY|R}} keys.
# Press the {{Button|[[Image:Arch Frame.svg|16px]] [[Arch_Frame|Arch Frame]]}} button, or press {{KEY|F}} then {{KEY|R}} keys.


==Options==
==Опции==


* Frames share the common properties and behaviours of all [[Arch Component|Arch Components]]
* Frames share the common properties and behaviours of all [[Arch_Component|Arch Components]]
* The frame object can be placed at a certain distance from the layout object, by setting its Offset property
* The frame object can be placed at a certain distance from the layout object, by setting its Offset property
* The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.
* The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.


==Свойства==
==Properties==


* {{PropertyData|Base}}: The layout this frame is based on.
* {{PropertyData|Base}}: The layout this frame is based on.
Line 42: Line 50:
* {{PropertyData|Rotation}}: The rotation of the profile around its extrusion axis.
* {{PropertyData|Rotation}}: The rotation of the profile around its extrusion axis.


==Программирование==
==Scripting==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].


<div class="mw-translate-fuzzy">
The Frame tool can be used in [[macros]] and from the [[Python]] console by using the following function:
==Программирование==
{{Emphasis|См. так же:}} [[Arch API/ru|Arch API]] и [[FreeCAD Scripting Basics/ru|Основы составления скриптов FreeCAD]].
</div>

The Frame tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
Frame = makeFrame(baseobj, profile)
Frame = makeFrame(baseobj, profile)
Line 51: Line 63:


* Creates a {{incode|Frame}} object from the given {{incode|baseobj}} and {{incode|profile}}.
* Creates a {{incode|Frame}} object from the given {{incode|baseobj}} and {{incode|profile}}.
** {{incode|baseobj}} is any object containing wires, like a [[Draft Wire]], or a [[Draft Array]] with a collection of them.
** {{incode|baseobj}} is any object containing wires, like a [[Draft_Wire|Draft Wire]], or a [[Draft_OrthoArray|Draft OrthoArray]] with a collection of them.
** {{incode|profile}} is an extrudable 2D object containing faces or closed wires.
** {{incode|profile}} is an extrudable 2D object containing faces or closed wires.


Line 66: Line 78:
}}
}}


{{docnav/ru|[[Arch_Nest|Nest]]|[[Arch_Fence|Fence]]|[[Arch_Module|Arch]]|IconL=Arch_Nest.svg |IconC=Workbench_Arch.svg |IconR=Arch_Fence.svg}}


{{Docnav/ru
{{Arch Tools navi{{#translation:}}}}
|[[Arch_Equipment/ru|Оборудование]]
|[[Arch_Fence/ru|Ограждение]]
|[[Arch_Workbench/ru|Архитектурный верстак "Arch"]]
|IconL=Arch_Equipment.svg
|IconR=Arch_Fence.svg
|IconC=Workbench_Arch.svg
}}


{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 17:41, 26 August 2022

Каркас

Системное название
Arch_Frame
Расположение в меню
Arch → Каркас
Верстаки
Arch
Быстрые клавиши
F R
Представлено в версии
-
См. также
Стена, Структура

Описание

Инструмент «Рамка» используется для создания всех видов объектов фрейма на основе профиля и макета. Профиль экструдируется по краям макета, который может быть любым 2D-объектом, таким как sketch или draft object. Особенно полезно создавать перила или стены рамы. Объекты кадра затем могут быть легко превращены в объекты wall или structure .

На приведенном выше рисунке line была преобразована в массива, а объект фрейма был создан с использованием массива как макета, а circle как профиль.

Применение

  1. Create a layout object and a profile object, for example with the Draft Workbench or the Sketcher Workbench.
  2. Select the layout object first, then, with Ctrl pressed, select the profile object.
  3. Press the Arch Frame button, or press F then R keys.

Опции

  • Frames share the common properties and behaviours of all Arch Components
  • The frame object can be placed at a certain distance from the layout object, by setting its Offset property
  • The profile will be copied at the base of each edge of the layout object, then extruded along it. You can control how the profile is placed at the base of each edge with the Align and Rotation properties.

Свойства

  • ДанныеBase: The layout this frame is based on.
  • ДанныеProfile: The profile this frame is based on.
  • ДанныеAlign: Specifies if the profile must be rotated to have its normal axis aligned with each edge.
  • ДанныеOffset: An optional distance between the layout object and the frame object.
  • ДанныеRotation: The rotation of the profile around its extrusion axis.

Программирование

Программирование

См. так же: Arch API и Основы составления скриптов FreeCAD.

The Frame tool can be used in macros and from the Python console by using the following function:

Frame = makeFrame(baseobj, profile)
  • Creates a Frame object from the given baseobj and profile.
    • baseobj is any object containing wires, like a Draft Wire, or a Draft OrthoArray with a collection of them.
    • profile is an extrudable 2D object containing faces or closed wires.

Пример:

import Draft, Arch

Line = Draft.makeLine(FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(0, 0, 2000))
baseobj = Draft.makeArray(Line, FreeCAD.Vector(1000, 0, 0), FreeCAD.Vector(0, 1, 0), 6, 1)

profile = Draft.makeCircle(200)
Frame = Arch.makeFrame(baseobj, profile)
FreeCAD.ActiveDocument.recompute()